> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search channels



## OpenAPI

````yaml /api-reference/openapi-v3.json post /channels/search
openapi: 3.1.0
info:
  title: Heyy API
  version: 3.0.0
servers:
  - url: https://api.heyy.io/v3
security:
  - bearerAuth: []
paths:
  /channels/search:
    post:
      summary: Search channels
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                query:
                  type: string
                  description: >-
                    Structured filter expression. See [Query
                    syntax](/api-reference/v3/query) for expression functions.
                    Filterable fields: `id`, `createdAt`, `updatedAt`, `name`,
                    `type`, `status`, `vendor`, `vendorId`.
                sortBy:
                  type: string
                  description: >-
                    Sort expression. See [Sort By
                    syntax](/api-reference/v3/sort-by) for expression functions.
                    Sortable fields: `id`, `createdAt`, `updatedAt`, `name`,
                    `type`, `status`, `vendor`, `vendorId`.
                search:
                  type: string
                  description: >-
                    Free-text search by `name`. See
                    [Search](/api-reference/v3/search).
                pagination:
                  type: object
                  properties:
                    page:
                      type: integer
                      minimum: 0
                      description: Zero-based page index. Defaults to 0 when omitted.
                    limit:
                      type: integer
                      minimum: 1
                      maximum: 100
                      description: Rows per page. Defaults to 10 when omitted. Maximum 100.
                  required:
                    - page
                    - limit
                  additionalProperties: false
                  description: >-
                    Page through results. Defaults to page 0 and limit 10 when
                    omitted. See [Pagination](/api-reference/v3/pagination).
              additionalProperties: false
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      anyOf:
                        - type: object
                          properties:
                            id:
                              type: string
                            createdAt:
                              type: string
                              format: date-time
                            updatedAt:
                              type: string
                              format: date-time
                            name:
                              type: string
                            type:
                              type: string
                              enum:
                                - whatsapp
                            status:
                              type: string
                              enum:
                                - provisioned
                                - active
                                - restricted
                                - blocked
                                - deactivated
                            vendor:
                              type: string
                              enum:
                                - meta
                                - bik
                            vendorId:
                              type: string
                            vendorDetails:
                              type: object
                              properties:
                                vendor:
                                  type: string
                                  enum:
                                    - meta
                                    - bik
                                wabaId:
                                  type: string
                                phoneNumberId:
                                  type: string
                                phoneNumber:
                                  type: string
                                isVerified:
                                  type: boolean
                                dailyLimit:
                                  type:
                                    - number
                                    - 'null'
                                qualityRating:
                                  type: string
                                  enum:
                                    - flagged
                                    - high
                                    - medium
                                    - low
                                displayName:
                                  type: string
                                profile:
                                  type: object
                                  properties:
                                    about:
                                      type: string
                                    address:
                                      type:
                                        - string
                                        - 'null'
                                    description:
                                      type:
                                        - string
                                        - 'null'
                                    email:
                                      type:
                                        - string
                                        - 'null'
                                    profilePicture:
                                      type:
                                        - object
                                        - 'null'
                                      properties:
                                        id:
                                          type: string
                                        createdAt:
                                          type: string
                                        type:
                                          type: string
                                          enum:
                                            - image
                                            - video
                                            - audio
                                            - document
                                        name:
                                          type: string
                                        contentType:
                                          type: string
                                        url:
                                          type: string
                                        size:
                                          type: number
                                      required:
                                        - id
                                        - createdAt
                                        - type
                                        - name
                                        - contentType
                                        - url
                                        - size
                                    vertical:
                                      type: string
                                      enum:
                                        - undefined
                                        - other
                                        - auto
                                        - beauty
                                        - apparel
                                        - edu
                                        - entertain
                                        - event_plan
                                        - finance
                                        - grocery
                                        - govt
                                        - hotel
                                        - health
                                        - nonprofit
                                        - prof_services
                                        - retail
                                        - travel
                                        - restaurant
                                        - not_a_biz
                                        - alcohol
                                        - online_gambling
                                        - otc_drugs
                                        - physical_gambling
                                    websites:
                                      type: array
                                      items:
                                        type: string
                                  required:
                                    - about
                                    - address
                                    - description
                                    - email
                                    - vertical
                                    - websites
                              required:
                                - vendor
                                - wabaId
                                - phoneNumberId
                                - phoneNumber
                                - isVerified
                                - dailyLimit
                                - qualityRating
                                - displayName
                                - profile
                          required:
                            - id
                            - createdAt
                            - updatedAt
                            - name
                            - type
                            - status
                            - vendor
                            - vendorId
                            - vendorDetails
                          additionalProperties: false
                        - type: object
                          properties:
                            id:
                              type: string
                            createdAt:
                              type: string
                              format: date-time
                            updatedAt:
                              type: string
                              format: date-time
                            name:
                              type: string
                            type:
                              type: string
                              enum:
                                - instagram
                            status:
                              type: string
                              enum:
                                - provisioned
                                - active
                                - restricted
                                - blocked
                                - deactivated
                            vendor:
                              type: string
                              enum:
                                - meta
                            vendorId:
                              type: string
                            vendorDetails:
                              type: object
                              properties:
                                vendor:
                                  type: string
                                  enum:
                                    - meta
                                pgId:
                                  type: string
                                igId:
                                  type: string
                                username:
                                  type: string
                              required:
                                - vendor
                                - pgId
                                - igId
                                - username
                          required:
                            - id
                            - createdAt
                            - updatedAt
                            - name
                            - type
                            - status
                            - vendor
                            - vendorId
                            - vendorDetails
                          additionalProperties: false
                        - type: object
                          properties:
                            id:
                              type: string
                            createdAt:
                              type: string
                              format: date-time
                            updatedAt:
                              type: string
                              format: date-time
                            name:
                              type: string
                            type:
                              type: string
                              enum:
                                - sms
                            status:
                              type: string
                              enum:
                                - provisioned
                                - active
                                - restricted
                                - blocked
                                - deactivated
                            vendor:
                              type: string
                              enum:
                                - sms019
                                - twilio
                            vendorId:
                              type: string
                            vendorDetails:
                              anyOf:
                                - type: object
                                  properties:
                                    vendor:
                                      type: string
                                      enum:
                                        - sms019
                                    senderName:
                                      type: string
                                    allowInbound:
                                      type: boolean
                                  required:
                                    - vendor
                                    - senderName
                                    - allowInbound
                                - type: object
                                  properties:
                                    vendor:
                                      type: string
                                      enum:
                                        - twilio
                                    accountSid:
                                      type: string
                                    phoneNumber:
                                      type: string
                                  required:
                                    - vendor
                                    - accountSid
                                    - phoneNumber
                          required:
                            - id
                            - createdAt
                            - updatedAt
                            - name
                            - type
                            - status
                            - vendor
                            - vendorId
                            - vendorDetails
                          additionalProperties: false
                        - type: object
                          properties:
                            id:
                              type: string
                            createdAt:
                              type: string
                              format: date-time
                            updatedAt:
                              type: string
                              format: date-time
                            name:
                              type: string
                            type:
                              type: string
                              enum:
                                - messenger
                            status:
                              type: string
                              enum:
                                - provisioned
                                - active
                                - restricted
                                - blocked
                                - deactivated
                            vendor:
                              type: string
                              enum:
                                - meta
                            vendorId:
                              type: string
                            vendorDetails:
                              type: object
                              properties:
                                vendor:
                                  type: string
                                  enum:
                                    - meta
                                pgId:
                                  type: string
                                name:
                                  type: string
                              required:
                                - vendor
                                - pgId
                                - name
                          required:
                            - id
                            - createdAt
                            - updatedAt
                            - name
                            - type
                            - status
                            - vendor
                            - vendorId
                            - vendorDetails
                          additionalProperties: false
                        - type: object
                          properties:
                            id:
                              type: string
                            createdAt:
                              type: string
                              format: date-time
                            updatedAt:
                              type: string
                              format: date-time
                            name:
                              type: string
                            type:
                              type: string
                              enum:
                                - live_chat
                            status:
                              type: string
                              enum:
                                - provisioned
                                - active
                                - restricted
                                - blocked
                                - deactivated
                            vendor:
                              type: string
                              enum:
                                - heyy
                            vendorId:
                              type: string
                            vendorDetails:
                              type: object
                              properties:
                                vendor:
                                  type: string
                                  enum:
                                    - heyy
                                widgetId:
                                  type: string
                                security:
                                  type: object
                                  properties:
                                    allowedDomains:
                                      type: array
                                      items:
                                        type: string
                                    secretKeys:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          name:
                                            type: string
                                          status:
                                            type: string
                                            enum:
                                              - active
                                              - inactive
                                          createdAt:
                                            type: string
                                            format: date-time
                                          key:
                                            type: string
                                        required:
                                          - name
                                          - status
                                          - createdAt
                                          - key
                                  required:
                                    - allowedDomains
                                    - secretKeys
                                visibility:
                                  type: object
                                  properties:
                                    hiddenPaths:
                                      type: array
                                      items:
                                        type: string
                                  required:
                                    - hiddenPaths
                                content:
                                  type: object
                                  properties:
                                    title:
                                      type: string
                                    messagePlaceholder:
                                      type: string
                                    initialMessages:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          content:
                                            type: object
                                            properties:
                                              body:
                                                type:
                                                  - string
                                                  - 'null'
                                        required:
                                          - content
                                    suggestedMessages:
                                      type: array
                                      items:
                                        type: string
                                    profilePicture:
                                      type:
                                        - object
                                        - 'null'
                                      properties:
                                        id:
                                          type: string
                                        createdAt:
                                          type: string
                                        type:
                                          type: string
                                          enum:
                                            - image
                                            - video
                                            - audio
                                            - document
                                        name:
                                          type: string
                                        contentType:
                                          type: string
                                        url:
                                          type: string
                                        size:
                                          type: number
                                      required:
                                        - id
                                        - createdAt
                                        - type
                                        - name
                                        - contentType
                                        - url
                                        - size
                                    removePoweredBy:
                                      type: boolean
                                  required:
                                    - title
                                    - messagePlaceholder
                                    - initialMessages
                                    - suggestedMessages
                                    - removePoweredBy
                                style:
                                  type: object
                                  properties:
                                    theme:
                                      type: string
                                      enum:
                                        - light
                                        - dark
                                    primaryColor:
                                      type: string
                                    align:
                                      type: string
                                      enum:
                                        - left
                                        - right
                                    direction:
                                      type: string
                                      enum:
                                        - ltr
                                        - rtl
                                    positionX:
                                      type: number
                                    positionY:
                                      type: number
                                  required:
                                    - theme
                                    - primaryColor
                                    - align
                                    - direction
                                    - positionX
                                    - positionY
                              required:
                                - vendor
                                - widgetId
                                - security
                                - visibility
                                - content
                                - style
                          required:
                            - id
                            - createdAt
                            - updatedAt
                            - name
                            - type
                            - status
                            - vendor
                            - vendorId
                            - vendorDetails
                          additionalProperties: false
                  pagination:
                    type: object
                    properties:
                      page:
                        type: integer
                        minimum: 0
                      limit:
                        type: integer
                        maximum: 1000
                      total:
                        type: integer
                        minimum: 0
                    required:
                      - page
                      - limit
                      - total
                    additionalProperties: false
                  query:
                    type: object
                    properties:
                      query:
                        type: string
                      sortBy:
                        type: string
                      search:
                        type: string
                  success:
                    type: boolean
                    enum:
                      - true
                required:
                  - data
                  - pagination
                  - query
                  - success
                additionalProperties: false
              example:
                success: true
                data: []
                pagination:
                  page: 0
                  limit: 0
                  total: 0
                query:
                  query: string
                  sortBy: string
                  search: string
        '400':
          description: Bad request. The request body or parameters are invalid.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  error:
                    type: object
                    properties:
                      messageKey:
                        type: string
                      message:
                        type: string
                      invalidParams:
                        type: object
                        additionalProperties:
                          type: object
                          properties:
                            key:
                              type: string
                            message:
                              type: string
                          required:
                            - key
                            - message
                required:
                  - success
                additionalProperties: false
              example:
                success: false
                error:
                  messageKey: invalid_body_params
                  message: Invalid body params
                  invalidParams:
                    email:
                      key: invalid_string
                      message: Invalid email
        '401':
          description: Unauthorized. A valid API key is required.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  error:
                    type: object
                    properties:
                      messageKey:
                        type: string
                      message:
                        type: string
                      invalidParams:
                        type: object
                        additionalProperties:
                          type: object
                          properties:
                            key:
                              type: string
                            message:
                              type: string
                          required:
                            - key
                            - message
                required:
                  - success
                additionalProperties: false
              example:
                success: false
                error:
                  messageKey: unauthorized
                  message: Unauthorized
        '402':
          description: >-
            Payment required. The current billing plan does not allow this
            request.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  error:
                    type: object
                    properties:
                      messageKey:
                        type: string
                      message:
                        type: string
                      invalidParams:
                        type: object
                        additionalProperties:
                          type: object
                          properties:
                            key:
                              type: string
                            message:
                              type: string
                          required:
                            - key
                            - message
                required:
                  - success
                additionalProperties: false
              example:
                success: false
                error:
                  messageKey: insufficient_billing_plan
                  message: Insufficient billing plan
        '403':
          description: >-
            Forbidden. The API key does not have permission to perform this
            action.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  error:
                    type: object
                    properties:
                      messageKey:
                        type: string
                      message:
                        type: string
                      invalidParams:
                        type: object
                        additionalProperties:
                          type: object
                          properties:
                            key:
                              type: string
                            message:
                              type: string
                          required:
                            - key
                            - message
                required:
                  - success
                additionalProperties: false
              example:
                success: false
                error:
                  messageKey: forbidden
                  message: Forbidden
        '404':
          description: Not found. The requested resource does not exist.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  error:
                    type: object
                    properties:
                      messageKey:
                        type: string
                      message:
                        type: string
                      invalidParams:
                        type: object
                        additionalProperties:
                          type: object
                          properties:
                            key:
                              type: string
                            message:
                              type: string
                          required:
                            - key
                            - message
                required:
                  - success
                additionalProperties: false
              example:
                success: false
                error:
                  messageKey: contact_not_found
                  message: Contact not found
        '429':
          description: >-
            Too many requests. Retry after the time indicated by the
            X-RateLimit-Reset header.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  error:
                    type: object
                    properties:
                      messageKey:
                        type: string
                      message:
                        type: string
                      invalidParams:
                        type: object
                        additionalProperties:
                          type: object
                          properties:
                            key:
                              type: string
                            message:
                              type: string
                          required:
                            - key
                            - message
                required:
                  - success
                additionalProperties: false
              example:
                success: false
                error:
                  messageKey: too_many_requests
                  message: >-
                    Too many requests. Limit is applied per minute per tenant.
                    Please retry after the time indicated by the
                    X-RateLimit-Reset header.
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  error:
                    type: object
                    properties:
                      messageKey:
                        type: string
                      message:
                        type: string
                      invalidParams:
                        type: object
                        additionalProperties:
                          type: object
                          properties:
                            key:
                              type: string
                            message:
                              type: string
                          required:
                            - key
                            - message
                required:
                  - success
                additionalProperties: false
              example:
                success: false
                error:
                  messageKey: internal_error
                  message: Oops! Something went wrong
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````